<template>
<div>
   <el-form-item v-bind:error="tagValue[2].s1" :required="pattern.status=='M' || tagValue[1]?true:false">
    <el-input-number  size="small" v-model="tagValue[0].s1" controls-position="right" placeholder="Days" :maxlength="3" @blur="handleChange" :disabled="pattern.tagFlag && pattern.tagFlag.indexOf('s1') !== -1"></el-input-number>
  </el-form-item>
  <el-form-item v-bind:error="tagValue[2].s2">
    <c-input size="small" v-model="tagValue[0].s2" placeholder="Narrative" :maxlength="35" @blur="handleChange" :disabled="pattern.tagFlag && pattern.tagFlag.indexOf('s2') !== -1"></c-input>
  </el-form-item>
</div>
</template>
<script>
export default {
  props: {
    tag: {
      type: String,
      default: ''
    },
    pattern: {
      type: Object,
      default: () => {}
    }
  },
  data: function () {
    return {
      tagValue: [{
        s1: '',
        s2: ''
      },
      '',
      {
        s1: '',
        s2: ''
      }]
    }
  },
  created: function () {
    if (this.pattern.tagValue == undefined || JSON.stringify(this.pattern.tagValue) == '[{},null]') {
      this.pattern.tagValue = this.tagValue
    } else {
      this.tagValue = this.pattern.tagValue
    }
  },
  methods: {
    handleChange: function () {
      // 触发校验
      let obj = this.pattern.tagValue[0]
      let mval = ""
      if(obj.s1) {
        mval =   obj.s1
      } 
      if(obj.s2) {
        mval =  mval +'/' + obj.s2 
      }
            
      this.pattern.tagValue[1] = mval   
      this.$emit('validate')
    }
  }
}
</script>